APIs
Get by Id
Get a wire drawdown by id.
| Verb | GET |
| URL | https://api.s.unit.sh/wire-drawdowns/{id} |
| Required Scope | wire-drawdowns |
| Timeout (Seconds) | 5 |
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
| include | string | (empty) | Optional. A comma-separated list of related resources to include in the response. Related resources include: customer, account. See Getting Related Resources |
Response
Response is a JSON:API document.
200 OK
| Name | Type | Description |
|---|---|---|
| data | WireDrawdown | Wire drawdown resource. |
| included | Array of DepositAccount or Customer | Array of resources requested by the include query parameter. |
curl -X GET 'https://api.s.unit.sh/wire-drawdowns/100' \
-H "Authorization: Bearer ${TOKEN}"
List
List wire drawdowns resources. Filtering and paging can be applied.
| Verb | GET |
| URL | https://api.s.unit.sh/wire-drawdowns |
| Required Scope | wire-drawdowns |
| Timeout (Seconds) | 5 |
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
| page[limit] | integer | 100 | Optional. Maximum number of resources that will be returned. Maximum is 1000 resources. See Pagination. |
| page[offset] | integer | 0 | Optional. Number of resources to skip. See Pagination. |
| filter[accountId] | string | (empty) | Optional. Filters the results by the specified account id. |
| filter[customerId] | string | (empty) | Optional. Filters the results by the specified customer id. |
| include | string | (empty) | Optional. A comma-separated list of related resources to include in the response. Related resources include: customer, account. See Getting Related Resources |
curl -X GET 'https://api.s.unit.sh/wire-drawdowns?page[limit]=20&page[offset]=10&filter[accountId]=5' \
-H "Authorization: Bearer ${TOKEN}"
Response
Response is a JSON:API document.
200 OK
| Name | Type | Description |
|---|---|---|
| data | Array of WireDrawdown | Array of wire drawdown resources. |
| included | Array of DepositAccount or Customer | Array of resources requested by the include query parameter. |
| meta | JSON object that contains pagination data | Pagination data includes offset, limit and total (estimated total items). |
Example Response:
{
"data": [
{
"type": "wireDrawdown",
"id": "10000",
"attributes": {
"createdAt": "2024-10-29T21:35:58.898Z",
"amount": 97,
"direction": "Incoming",
"counterparty": {
"name": "LAB LLC",
"routingNumber": "021000021",
"accountNumber": "1000000000"
},
"imad": "20241029MMAAAAAA033351",
"omad": "20241029MMBBBBBB00041910291735FT03",
"description": "Hello World",
"senderReference": "54465316546"
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10000"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10000"
}
}
}
}
],
"meta": {
"pagination": {
"total": 1,
"limit": 100,
"offset": 0
}
}
}
Send Drawdown Payment
Send a wire payment in response to a drawdown request. The API will create a Wire Payment as a response to the drawdown request.
You can observe the drawdownPayment relationship to retrieve the Payment Identifier.
| Verb | POST |
| URL | https://api.s.unit.sh/wire-drawdowns/{id}/send |
| Required Scope | wire-drawdowns-write |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|---|---|
| idempotencyKey | string | See Idempotency. |
| tags Optional | object | Optional, See Tags. Tags for the Wire Payment. |
curl -X POST 'https://api.s.unit.sh/wire-drawdowns/1/send'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "sendWireDrawdown",
"attributes": {
"idempotencyKey": "6a1a33be-4e12-4603-9ed0-820922389fb9"
}
}
}'
Response
Response is a JSON:API document.
200 OK
| Name | Type | Description |
|---|---|---|
| data | WireDrawdown | The requested resource after the operation was completed. |
Example Response:
{
"data": {
"type": "wireDrawdown",
"id": "10000",
"attributes": {
"createdAt": "2024-10-29T21:35:58.898Z",
"amount": 97,
"direction": "Incoming",
"counterparty": {
"name": "LAB LLC",
"routingNumber": "021000021",
"accountNumber": "1000000000"
},
"imad": "20241029MMAAAAAA033351",
"omad": "20241029MMBBBBBB00041910291735FT03",
"description": "Hello World",
"senderReference": "54465316546"
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10000"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10000"
}
},
"drawdownPayment": {
"data": {
"type": "payment",
"id": "10000"
}
}
}
}
}